LibreOffice: XModeChangeBroadcaster Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XModeChangeBroadcaster Interface Referencepublished

broadcasts changes in an object's internal mode. More...

`import <XModeChangeBroadcaster.idl;`

Inheritance diagram for XModeChangeBroadcaster:

## Public Member Functions
void | addModeChangeListener ([in] XModeChangeListener rxListener)
| adds the given listener to the list of components to be notified when the mode changes.
void | removeModeChangeListener ([in] XModeChangeListener rxListener)
| removes the given listener from the list of components to be notified when the mode changes.
void | addModeChangeApproveListener ([in] XModeChangeApproveListener rxListener) raises ( com::sun::star::lang::NoSupportException )
| adds the given listener to the list of components to be notified when the mode is about to change.
void | removeModeChangeApproveListener ([in] XModeChangeApproveListener rxListener) raises ( com::sun::star::lang::NoSupportException )
| remove the given listener from the list of components to be notified when the mode is about to change.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

broadcasts changes in an object's internal mode.

See also
  XModeSelector
  XModeChangeListener
  XModeChangeApproveListener

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addModeChangeApproveListener()

void addModeChangeApproveListener | ( | [in] XModeChangeApproveListener | rxListener | ) |
raises | ( | com::sun::star::lang::NoSupportException ) |  |  |

adds the given listener to the list of components to be notified when the mode is about to change.

Exceptions

  com::sun::star::lang::NoSupportException | if the component does not allow vetoing mode changes

## ◆ addModeChangeListener()

void addModeChangeListener | ( | [in] XModeChangeListener | rxListener | ) |

adds the given listener to the list of components to be notified when the mode changes.

## ◆ removeModeChangeApproveListener()

void removeModeChangeApproveListener | ( | [in] XModeChangeApproveListener | rxListener | ) |
raises | ( | com::sun::star::lang::NoSupportException ) |  |  |

remove the given listener from the list of components to be notified when the mode is about to change.

Exceptions

  com::sun::star::lang::NoSupportException | if the component does not allow vetoing mode changes

## ◆ removeModeChangeListener()

void removeModeChangeListener | ( | [in] XModeChangeListener | rxListener | ) |

removes the given listener from the list of components to be notified when the mode changes.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModeChangeBroadcaster.idl